body {
    display: flex;
    justify-content: center;
    align-items: center;
}

form {
    display: flex;
    flex-direction: column;
    width: fit-content;
    height: fit-content;
    padding: 2rem;
    gap: 4vh;
}

input {
    background-color: var(--black);
    color: var(--white);
}

input, button {
    padding: .5rem;
    font-size: 1.2rem;
    transition: .2s;
    border-radius: .5rem;
    border: none;
}

input:hover {
    box-shadow: 0 0 9px 5px var(--secondary);
} 

input:focus {
    box-shadow: 0 0 9px 5px var(--tertiary);
    outline: none;
    color: var(--secondary);
}

input:-webkit-autofill, input:-moz-autofill {
    background-color: var(--black);
}

button:hover {
    box-shadow: 0 0 9px 5px var(--tertiary);
}

button:active {
    box-shadow: 0 0 9px 5px #711a37;
}